=== debian/changelog ===
featherpad (0.18.0-0.1~mx21+1) mx; urgency=medium

  * * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Mar 2021 11:48:41 -0700
