## featherpad 1.0.0

=== debian/changelog ===
featherpad (1.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
    - Don't highlight the rest of a JSON document when encountering a huge line,
      (because the formats couldn't be determined).
    - Refactored the code of syntax highlighting.
    - Examine final targets of symlinks when detecting programming languages.
    - Added group separators to the numbers of lines, selected characters and
      words on the statusbar.
    - Better property-value pairs in CSS.
    - Covered "verbatim" in LaTex.
    - Considered a probable comment after the start of a literal block in Yaml.
    - Added an option for disabling menubar accelerators.
    - Added Go syntax highlighting.
    - AppStream metadata (https://www.freedesktop.org/wiki/Distributions/
      AppStream/) added by Balló György (City-busz at GitHub).
    - Handled the case where the start sign of a JavaScript/QML multiline
      comment was inside a regex.
    - Fixed an issue in Ruby's regex, highlighted its back quotes and added a
      very minimal support for its command substitution.
    - Speed up syntax highlighting by applying the main text format only inside
      the visible rectangle and also by remembering single quote and back quote.
    - No need to the window system identifier with tab DND.
    - Bumped the version to 1.0.0. FeatherPad has been stable for a long time
      and some users may mistake "0.X.Y" for "unstable".
  * d/rules: drop the QT_SELECT export, since it rquires Bullseye's Qt 5 and Qt
    4 is no longer in the repos.
  * Switch to cmake build, add cmake and pkg-config to BDs.
  * d/featherpad.install: add "usr/share/metainfo" for the appdata file.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Sep 2021 13:41:38 -0700
