=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,12 @@
 
 # optional localization
 find_package(Qt5LinguistTools QUIET)
+
+# OS/2 needs an additional lib and tune the processor
+if(OS2)
+  #add_definitions(-mtune=${CMAKE_SYSTEM_PROCESSOR} -march=${CMAKE_SYSTEM_PROCESSOR})
+  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lcx")
+endif()
 
 # X11 for Linux/Unix
 if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
@@ -56,7 +62,7 @@
 
 if(HAIKU)
   add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/data")
-elseif(UNIX)
+elseif(UNIX OR OS2)
   add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
 endif()
 
@@ -69,18 +75,6 @@
     lineedit.cpp
     textedit.cpp
     tabbar.cpp
-    highlighter.cpp
-    highlighter-css.cpp
-    highlighter-fountain.cpp
-    highlighter-java.cpp
-    highlighter-json.cpp
-    highlighter-html.cpp
-    highlighter-pascal.cpp
-    highlighter-patterns.cpp
-    highlighter-perl-regex.cpp
-    highlighter-regex.cpp
-    highlighter-ruby.cpp
-    highlighter-sh.cpp
     find.cpp
     replace.cpp
     pref.cpp
@@ -97,7 +91,22 @@
     sidepane.cpp
     svgicons.cpp
     spellChecker.cpp
-    spellDialog.cpp)
+    spellDialog.cpp
+    highlighter/highlighter.cpp
+    highlighter/highlighter-css.cpp
+    highlighter/highlighter-fountain.cpp
+    highlighter/highlighter-java.cpp
+    highlighter/highlighter-json.cpp
+    highlighter/highlighter-html.cpp
+    highlighter/highlighter-markdown.cpp
+    highlighter/highlighter-pascal.cpp
+    highlighter/highlighter-patterns.cpp
+    highlighter/highlighter-perl-regex.cpp
+    highlighter/highlighter-regex.cpp
+    highlighter/highlighter-rest.cpp
+    highlighter/highlighter-ruby.cpp
+    highlighter/highlighter-sh.cpp
+    highlighter/highlighter-yaml.cpp)
 
 if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
   set(featherpad_SRCS ${featherpad_SRCS} x11.cpp)
@@ -105,7 +114,14 @@
 
 set(featherpad_RESOURCES data/fp.qrc)
 set(DESKTOP_FILE data/featherpad.desktop)
-set(ICON_FILE data/featherpad.svg)
+set(METAINFO_FILE data/featherpad.metainfo.xml)
+if(NOT OS2)
+  set(ICON_FILE data/featherpad.svg)
+else()
+  enable_language(RC)
+  set_source_files_properties(data/featherpad_os2.rc PROPERTIES LANGUAGE RC)
+  set(featherpad_SRCS ${featherpad_SRCS} data/featherpad_os2.rc)
+endif()
 set(HELP_FILE data/help)
 file(GLOB HELP_TR_FILES data/help_*)
 
@@ -124,7 +140,7 @@
     install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/translations")
   elseif(APPLE)
     SET_SOURCE_FILES_PROPERTIES(${QM_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/translations)
-  elseif(UNIX)
+  elseif(UNIX OR OS2)
     install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad/translations")
   endif()
 else(Qt5LinguistTools_FOUND)
@@ -169,10 +185,19 @@
 
   install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
   install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
+  install(FILES ${METAINFO_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
   install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")
   install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
   # also install translated help files
   install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
   # install symlink
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fpad DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
-endif()
+elseif(OS2)
+  SET_TARGET_PROPERTIES(featherpad PROPERTIES
+  	OS2_DEF_EXEType "WINDOWAPI"
+  )
+  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
+  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
+  # also install translated help files
+  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
+endif()
