=== debian/changelog ===
featherpad (1.0.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #998188).

 -- S. 7 <severusseptimius7@gmail.com>  Sat, 30 Oct 2021 05:19:55 -0400
