=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export QT_SELECT = 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem=qmake

override_dh_missing:
	dh_missing --fail-missing
