## featherpad 1.1.0

=== debian/changelog ===
featherpad (1.1.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
    - Fixed an issue in saving with UTF-16.
    - Enabled experimental compilation against Qt6. With cmake, "ENABLE_QT5"
      should be set to "OFF" (as in `cmake .. -DENABLE_QT5=OFF`) — it's "ON" by default.
    - Better inclusion of Hunspell.
    - Added Tcl syntax highlighting.
    - Increased the maximum number of recent files to 50.
    - Stretch the text view in the side-pane mode and save the splitter
      position in pixels (if it should be remembered). Also, ensure that the
      splitter is visible and its width isn't greater than that of the view
      on startup.
    - Consider the special case where the value of "wheel scroll lines" is zero.
    - Don't try to restore scrollbar position after reloading because it can't
      be done precisely. Instead, center the text cursor.
    - Prevented a very rare stack overflow when matching brackets in huge files,
      by replacing recursive methods with loops. In this way, extremely distant
      brackets can be matched instantly.
    - Fixes and improvements to Lua syntax highlighting, especially regarding
      comments, (nested) string blocks and speed.
    - Added lots of keywords for various programming languages.
    - Fixes and improvements to XML syntax highlighting.
    - Check the root instance only with the first window.

  * Add pkg-config to build-deps to allow for hunspell detection.
  * Make sure new help_ca help file is installed.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Dec 2021 14:52:43 -0800
