=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: featherpad
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: editors
@@ -10,7 +11,7 @@
                libqt5x11extras5-dev,
                libx11-dev,
                libxext-dev,
-               qt5-qmake,
+               pkg-config,
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
@@ -21,8 +22,8 @@
 
 Package: featherpad
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: featherpad-l10n, libglib2.0-bin
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         featherpad-l10n, libglib2.0-bin
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a
