=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
