=== debian/changelog ===
featherpad (1.1.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Fixed highlighting of Markdown's single-line codes with multiple
      backquotes. Also, faster syntax highlighting for Markdown.
    - Prevented a rare hang-like behavior with malformed XML documents that have
      huge lines. Also, followed stricter rules for highlighting of "<" in XML.
    - Workaround for wrong positions of instant tab tooltips with Qt6.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Jan 2022 12:31:18 -0800
