## featherpad 1.2.0

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -1,27 +1,28 @@
-set(QT5_MINIMUM_VERSION "5.12.0")
+set(QT5_MINIMUM_VERSION "5.15.0")
 set(QT6_MINIMUM_VERSION "6.2.0")
 set(HUNSPELL_MINIMUM_VERSION "1.6")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 
 if(NOT ENABLE_QT5)
-  find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
-  find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
+  set(QT_VERSION_MAJOR 6)
+  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6Svg "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6Network "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6PrintSupport "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6DBus "${QT6_MINIMUM_VERSION}" REQUIRED)
 else()
   set(QT_VERSION_MAJOR 5)
-endif()
-
-if(QT_VERSION_MAJOR EQUAL 6)
-  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
-else()
   find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
-endif()
-
-find_package(Qt${QT_VERSION_MAJOR}Gui REQUIRED)
-find_package(Qt${QT_VERSION_MAJOR}Widgets REQUIRED)
-find_package(Qt${QT_VERSION_MAJOR}Svg REQUIRED)
-find_package(Qt${QT_VERSION_MAJOR}Network REQUIRED)
-find_package(Qt${QT_VERSION_MAJOR}PrintSupport REQUIRED)
+  find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5Svg "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5Network "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5PrintSupport "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5DBus "${QT5_MINIMUM_VERSION}" REQUIRED)
+endif()
 
 # for spell checking (see FindHUNSPELL.cmake)
 find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)
@@ -61,6 +62,7 @@
                         ${Qt6Svg_INCLUDE_DIRS}
                         ${Qt6Network_INCLUDE_DIRS}
                         ${Qt6PrintSupport_INCLUDE_DIRS}
+                        ${Qt6DBus_INCLUDE_DIRS}
                         ${X11_INCLUDE_DIR}
                         ${HUNSPELL_INCLUDE_DIRS})
   else()
@@ -72,6 +74,7 @@
                         ${Qt5X11Extras_INCLUDE_DIRS}
                         ${Qt5Network_INCLUDE_DIRS}
                         ${Qt5PrintSupport_INCLUDE_DIRS}
+                        ${Qt5DBus_INCLUDE_DIRS}
                         ${X11_INCLUDE_DIR}
                         ${HUNSPELL_INCLUDE_DIRS})
   endif()
@@ -84,6 +87,7 @@
                       ${Qt${QT_VERSION_MAJOR}Svg_INCLUDE_DIRS}
                       ${Qt${QT_VERSION_MAJOR}Network_INCLUDE_DIRS}
                       ${Qt${QT_VERSION_MAJOR}PrintSupport_INCLUDE_DIRS}
+                      ${Qt${QT_VERSION_MAJOR}DBus_INCLUDE_DIRS}
                       ${HUNSPELL_INCLUDE_DIRS})
 endif()
 
@@ -133,6 +137,7 @@
     highlighter/highlighter-regex.cpp
     highlighter/highlighter-rest.cpp
     highlighter/highlighter-ruby.cpp
+    highlighter/highlighter-rust.cpp
     highlighter/highlighter-sh.cpp
     highlighter/highlighter-tcl.cpp
     highlighter/highlighter-xml.cpp
@@ -193,6 +198,7 @@
                                      ${Qt6Svg_LIBRARIES}
                                      ${Qt6Network_LIBRARIES}
                                      ${Qt6PrintSupport_LIBRARIES}
+                                     ${Qt6DBus_LIBRARIES}
                                      ${X11_LIBRARIES}
                                      ${HUNSPELL_LIBRARIES})
   else()
@@ -203,6 +209,7 @@
                                      ${Qt5X11Extras_LIBRARIES}
                                      ${Qt5Network_LIBRARIES}
                                      ${Qt5PrintSupport_LIBRARIES}
+                                     ${Qt5DBus_LIBRARIES}
                                      ${X11_LIBRARIES}
                                      ${HUNSPELL_LIBRARIES})
   endif()
@@ -213,6 +220,7 @@
                                    ${Qt${QT_VERSION_MAJOR}Svg_LIBRARIES}
                                    ${Qt${QT_VERSION_MAJOR}Network_LIBRARIES}
                                    ${Qt${QT_VERSION_MAJOR}PrintSupport_LIBRARIES}
+                                   ${Qt${QT_VERSION_MAJOR}DBus_LIBRARIES}
                                    ${HUNSPELL_LIBRARIES})
 endif()
