=== debian/changelog ===
featherpad (1.2.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Try the file manager DBus interface when opening the containing folder
      (from the right-click menu of tab or side-pane item). In this way, it may
      be possible to select and scroll to the file.
    - Restore the view position on reloading, as precisely as possible.
    - Fixed searching in unusually large documents.
    - Select the text between spaces with Ctrl + double click.
      (See Help--> Multiple Clicks.)
    - Added Rust syntax highlighting.
    - Fixes and enhancement to XML and QML syntax highlighting.
    - Bumped the minimum required version of Qt5 to 5.15.0.
    - With Qt6, hide encodings that are not supported by Qt6.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 May 2022 15:31:17 -0700
