=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libhunspell-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               libqt5svg5-dev (>= 5.15.0),
+               libqt5x11extras5-dev (>= 5.15.0),
                libx11-dev,
                libxext-dev,
                pkg-config,
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qtbase5-dev (>= 5.15.0),
+               qttools5-dev (>= 5.15.0),
+               qttools5-dev-tools (>= 5.15.0)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
 Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
@@ -22,7 +22,10 @@
 
 Package: featherpad
 Architecture: any
-Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
+Depends: featherpad-l10n,
+         libglib2.0-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a
