## featherpad 1.3.0

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -124,6 +124,7 @@
     spellChecker.cpp
     spellDialog.cpp
     highlighter/highlighter.cpp
+    highlighter/highlighter-cmake.cpp
     highlighter/highlighter-css.cpp
     highlighter/highlighter-fountain.cpp
     highlighter/highlighter-java.cpp
