=== debian/changelog ===
featherpad (1.3.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Updated copyright file.
  * Bumped standards-version, no changes needed.
  * Changed build system from qmake to cmake.
  * Fixed featherpad-l10n.install.
  * Added libhunspell-dev and pkgconf as build dependencies.
  * Ran wrap-and-sort.
  * Updated debian/watch file version.
  * Overrode missing man page warnings.
  * Removed unneeded "-Wl,--as-needed" linker flags from debian/rules.
  * Added "Lubuntu Developers" to debian/copyright.
  * Fixed watch file (thank you Thomas Ward!)
  * Added automatic GPG verification (thanks you Thomas Ward!)

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Tue, 21 Jun 2022 14:05:07 -0500
