=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/, \
filenamemangle=s/.+\/FeatherPad-(\d\S+)\.tar\.xz/featherpad-$1\.tar\.xz/" \
  https://github.com/tsujan/featherpad/releases .*\/FeatherPad-(\d\S+)\.tar\.xz
